<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>
    <AronIncludes>
        <Include include="armarx/manipulation/core/aron/Hand.xml" />
    </AronIncludes>

    <GenerateTypes>
        <Object name='armarx::manipulation::skills::arondto::MoveTCPParams'>
            <ObjectChild key='hand'>
                <armarx::manipulation::core::arondto::Hand />
            </ObjectChild>
            <ObjectChild key='robot_T_tcp_desired'>
                <Pose />
            </ObjectChild>
            <ObjectChild key="velocity">
                <Float/>
            </ObjectChild>
        </Object>
    </GenerateTypes>
</AronTypeDefinition>
